Subject: Re: [PATCH 5/7] CAN: Add virtual CAN netdevice driver

From: David Miller <[email-masked]>
Date: Tue, 02 Oct 2007 15:04:38 -0700 (PDT)

From: Stephen Hemminger <[email-masked]>
Date: Tue, 2 Oct 2007 14:52:36 -0700

> Please consider using netif_msg_xxx() and module parameter to set
> default message level, like other real network drivers already do.

I keep seeing this recommendation, but the two supposedly most mature
and actively used drivers in the tree, tg3 and e1000 and e1000e, all
do not use this scheme.

In fact there are tons of drivers that even hook up the ethtool
msg_level setting function and never even use the value.

If people aren't using netif_msg_xxx() and the ethtool msg_level
facilities properly, it's because there is a severe dearth of good
example drivers to learn about it from.